## python-sqlite 0.4.3

=== doc/latex/Makefile ===
PYTHON_SRC=/home/gerhard/python2.2-2.2.2/

# This is the *documentation* release, and is used to construct the file
# names of the downloadable tarballs.
RELEASE = 0.11

MKHOWTO = $(PYTHON_SRC)/Doc/tools/mkhowto --split=4

# These must be declared phony since there
# are directories with matching names:
.PHONY: html

# This can be changed to a4
PAPER=		letter

MPFILES=	pysqlite.tex \
		copyright.tex \

# Main target
all:	html

dvi:	$(MPFILES)
	$(MKHOWTO) --dvi pysqlite.tex

pdf:	$(MPFILES)
	$(MKHOWTO) --pdf --$(PAPER) pysqlite.tex

ps:	$(MPFILES)
	$(MKHOWTO) --ps --$(PAPER) pysqlite.tex

html:	$(MPFILES)
	$(MKHOWTO) --html pysqlite.tex
	mkdir -p icons
	cp $(PYTHON_SRC)Doc/html/icons/* icons/
# the iconserver option of mkhowto is broken since it writes
# it to the end if the init_file where they aren't useful anymore,
# so we work around it:
	for f in `find sqlite`; do \
	  cat $$f | sed s/\.\.\\/icons/icons/g > $${f}2; \
	  mv $${f}2 $$f; \
	done

world:	ps pdf html tarballs

# Release packaging targets:

pdf-$(PAPER)-$(RELEASE).tgz: pdf
	tar cf - *.pdf | gzip -9 >$@

pdf-$(PAPER)-$(RELEASE).tar.bz2: pdf
	tar cf - *.pdf | bzip2 -9 >$@

pdf-$(PAPER)-$(RELEASE).zip: pdf
	rm -f $@
	zip -q -9 $@ *.pdf

postscript-$(PAPER)-$(RELEASE).tar.bz2: ps
	tar cf - *.ps | bzip2 -9 >$@

postscript-$(PAPER)-$(RELEASE).tgz: ps
	tar cf - *.ps | gzip -9 >$@

postscript-$(PAPER)-$(RELEASE).zip: ps
	rm -f $@
	zip -q -9 $@ *.ps

html-$(RELEASE).tgz:	html
	tar cf - pysqlite | gzip -9 >$@

html-$(RELEASE).tar.bz2:	html
	tar cf - pysqlite | bzip2 -9 >$@

html-$(RELEASE).zip:	html
	rm -f $@
	zip -q -9 $@ pysqlite

# convenience targets:

tarhtml:	html-$(RELEASE).tgz
tarps:		postscript-$(PAPER)-$(RELEASE).tgz
tarpdf:		pdf-$(PAPER)-$(RELEASE).tgz

tarballs:	tarpdf tarps tarhtml

ziphtml:	html-$(RELEASE).zip
zipps:		postscript-$(PAPER)-$(RELEASE).zip
zippdf:		pdf-$(PAPER)-$(RELEASE).zip

zips:		zippdf zipps ziphtml

bziphtml:	html-$(RELEASE).tar.bz2
bzipps:		postscript-$(PAPER)-$(RELEASE).tar.bz2
bzippdf:	pdf-$(PAPER)-$(RELEASE).tar.bz2

bzips:		bzippdf bzipps bziphtml


# Housekeeping targets

# Remove temporary files; all except the following:
# - sources: .tex, .bib, .sty, *.cls
# - useful results: .dvi, .pdf, .ps, .texi, .info
clean:
	rm -f *~ *.aux *.idx *.ilg *.ind *.log *.toc *.bkm *.syn *.pla api.tex

# Remove temporaries as well as final products
clobber:	clean
	rm -rf pysqlite
	rm -f html-$(RELEASE).tgz
	rm -f pdf-$(RELEASE).tgz postscript-$(RELEASE).tgz
	rm -f html-$(RELEASE).zip
	rm -f pdf-$(RELEASE).zip postscript-$(RELEASE).zip

realclean:  clobber
distclean:  clobber

# HTML in the doc directory
dist: version html
	rm -rf ../doc-html
	mv pysqlite ../doc-html

# Version substitution
version: ../src/include/mpversion.h
	DATE="`date +'%B %d, %Y'`"; \
	VERSION="`awk '/MPV_STRING/ {print $$3}' ../src/include/mpversion.h`"; \
	VERSION="`echo $$VERSION | sed s/\\"//g`"; \
	cat pysqlite.tex | sed s/\\release.*/\\release\{$$VERSION\}/ >pysqlite.tex2; \
	cat pysqlite.tex2 | sed s/\\date.*/\\date\{"$$DATE"\}/ >pysqlite.tex

upload:
	scp -r pysqlite/* owensmk@pysqlite.sourceforge.net:/home/groups/p/py/pysqlite/htdocs/documentation/pysqlite/

## python-sqlite 1.0.1

=== debian/changelog ===
python-sqlite (1.0.1-9) unstable; urgency=low

  * Ignore space before non-modifying commands for auto-transactions

 -- Joel Rosdahl <joel@debian.org>  Mon, 19 Dec 2011 21:52:01 +0100

python-sqlite (1.0.1-8) unstable; urgency=low

  * Convert from dh_pycentral to dh_python2 (closes: #617031)
  * Use debhelper compat level 8
  * Bump Standards-Version to 3.9.2
  * Pass --install-layout=deb to "setup.py install"
  * Use source format 3.0 (quilt)
  * Add build-arch and build-indep targets to debian/rules
  * Add watch file
  * Correct upstream source URL
  * Uppercase Python in package description
  * Use "Section: debug" and "Priority: extra" for the debug package
  * Some spelling fixes in the sqlite module

 -- Joel Rosdahl <joel@debian.org>  Wed, 29 Jun 2011 22:30:09 +0200

python-sqlite (1.0.1-7) unstable; urgency=low

  * Rebuild to add Python 2.5 support.
  * Build python-sqlite-dbg package based on Ubuntu patch.

 -- Joel Rosdahl <joel@debian.org>  Thu, 21 Jun 2007 22:32:42 +0200

python-sqlite (1.0.1-6) unstable; urgency=low

  * Removed DH_COMPAT variable from debian/rules to fix Lintian warning.
  * Added missing build dependency on python-central >= 0.5.
  * Added debian/pycompat file.
  * Bumped build dependencies on debhelper, python-all-dev and
    python-central.

 -- Joel Rosdahl <joel@debian.org>  Sun, 22 Apr 2007 22:03:05 +0200

python-sqlite (1.0.1-5) unstable; urgency=low

  * Adapt to new Python policy. Closes: bug#373357.
  * Updated Standards-Version to 3.7.2.

 -- Joel Rosdahl <joel@debian.org>  Mon, 19 Jun 2006 18:11:12 +0000

python-sqlite (1.0.1-4) unstable; urgency=low

  * Include license for port/strsep.c in debian/copyright.

 -- Joel Rosdahl <joel@debian.org>  Wed, 14 Sep 2005 09:24:29 +0200

python-sqlite (1.0.1-3) unstable; urgency=low

  * Drop support for Python 2.1 and 2.2.
  * Clarify description and mention python-pysqlite1.1, python-pysqlite2
    and python-apsw.
  * Added README.Debian with information about different Python SQLite
    modules.
  * Updated Standards-Version to 3.6.2.
  * Updated copyright file with new URL and better formatted license text.

 -- Joel Rosdahl <joel@debian.org>  Fri,  9 Sep 2005 17:56:37 +0200

python-sqlite (1.0.1-2) unstable; urgency=low

  * Build package for Python 2.4 too.
  * Really include manual.txt in all packages this time.

 -- Joel Rosdahl <joel@debian.org>  Sun, 16 Jan 2005 22:08:35 +0100

python-sqlite (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Include examples and manual.txt in all packages. Closes: bug#275533.
  * Debhelper compatibility level 4.

 -- Joel Rosdahl <joel@debian.org>  Sun,  2 Jan 2005 17:08:47 +0100

python-sqlite (1.0-2) unstable; urgency=low

  * Include some examples. Closes: bug#275533.

 -- Joel Rosdahl <joel@debian.org>  Wed, 13 Oct 2004 20:25:14 +0200

python-sqlite (1.0-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Tue,  5 Oct 2004 22:50:58 +0200

python-sqlite (0.5.1-3) unstable; urgency=low

  * Build-Depend on python. Closes: bug#265037.

 -- Joel Rosdahl <joel@debian.org>  Wed, 11 Aug 2004 16:05:20 +0200

python-sqlite (0.5.1-2) unstable; urgency=low

  * Generate prerm and postinstall scripts.

 -- Joel Rosdahl <joel@debian.org>  Sat,  7 Aug 2004 22:37:52 +0200

python-sqlite (0.5.1-1) unstable; urgency=low

  * New upstream release (closes: bug#232620).
  * Updated Standards-Version to 3.6.1.
  * Don't include *.pyc files in package.

 -- Joel Rosdahl <joel@debian.org>  Sun,  4 Jul 2004 10:47:46 +0200

python-sqlite (0.4.3-2) unstable; urgency=low

  * Use Python 2.3 as default Debian version.
  * Updated Standards-Version to 3.6.0.

 -- Joel Rosdahl <joel@debian.org>  Sat,  9 Aug 2003 16:48:53 +0200

python-sqlite (0.4.3-1) unstable; urgency=low

  * New upstream version.
  * Put packages in the python section.

 -- Joel Rosdahl <joel@debian.org>  Wed,  4 Jun 2003 08:01:18 +0200

python-sqlite (0.4.2-1) unstable; urgency=low

  * Official Debian version.
  * Updated Standards-Version to 3.5.10.

 -- Joel Rosdahl <joel@debian.org>  Tue,  3 Jun 2003 08:25:51 +0200

python-sqlite (0.4.2-0.1) unstable; urgency=low

  * Version number is 0.4.2 now.

 -- Gerhard Häring <gh@ghaering.de>  Sat, 31 May 2003 16:11:03 +2000

python-sqlite (0.4.1-2) unstable; urgency=low

  * Changed architecture of python-sqlite binary package to all.
  * Added Debian package creator and upstream maintainers to copyright
    file.

 -- Joel Rosdahl <joel@debian.org>  Sun, 23 Mar 2003 21:19:17 +0100

python-sqlite (0.4.1-1) unstable; urgency=low

  * First official Debian version. Closes: bug#163027.

 -- Joel Rosdahl <joel@debian.org>  Sun, 23 Mar 2003 17:02:37 +0100

python-sqlite (0.4.1-0.1) unstable; urgency=low

  * Version number is 0.4.1 now.

 -- Gerhard Häring <gerhard.haering@gmx.de>  Tue, 14 Feb 2003 22:24:00 +2000

python-sqlite (0.4.0-0.1) unstable; urgency=low

  * Version number is 0.4.0 now.

 -- Gerhard Häring <gerhard.haering@gmx.de>  Tue, 11 Feb 2003 10:47:00 +2000

python-sqlite (0.3.2-0.1) unstable; urgency=low

  * Depend on libsqlite0 instead of libsqlite.
  * Update to version 0.3.2.

 -- Gerhard Häring <gerhard.haering@gmx.de>  Tue, 21 Jan 2003 01:12:35 +2000

python-sqlite (0.3.1-0.1) unstable; urgency=low

  * Update to version 0.3.1.

 -- Gerhard Häring <gerhard.haering@gmx.de>  Mon, 26 Aug 2002 19:59:37 +2000

python-sqlite (0.3.0-0.1) unstable; urgency=low

  * First try at a Debian package.

 -- Gerhard Häring <gerhard.haering@gmx.de>  Mon, 26 Aug 2002 19:59:37 +2000

=== debian/control ===
Source: python-sqlite
Section: python
Priority: optional
Maintainer: Joel Rosdahl <joel@debian.org>
Build-Depends: debhelper (>= 8), libsqlite0-dev (>= 2.5.6), python-all-dev (>= 2.6.6-3~), python-all-dbg
Standards-Version: 3.9.2

Package: python-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Conflicts: python2.3-sqlite, python2.4-sqlite, python-pysqlite1.1, python2.3-pysqlite1.1, python2.4-pysqlite1.1
Replaces: python2.3-sqlite, python2.4-sqlite
Suggests: python-sqlite-dbg
Description: Python interface to SQLite 2
 pysqlite is an interface to the SQLite database server for
 Python. It aims to be fully compliant with Python database
 API version 2.0 while also exploiting the unique features of
 SQLite.
 .
 pysqlite 1.0.x is built against SQLite 2. For an interface to SQLite
 3, see the package python-pysqlite1.1, python-pysqlite2 or
 python-apsw.

Package: python-sqlite-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-sqlite (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python interface to SQLite 2 (debug extension)
 pysqlite is an interface to the SQLite database server for
 Python. It aims to be fully compliant with Python database
 API version 2.0 while also exploiting the unique features of
 SQLite.
 .
 This package contains the extensions built for the Python debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

PYVERS = $(shell pyversions -r debian/control)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: $(PYVERS:%=build-ext-%-stamp) $(PYVERS:%=dbg-build-ext-%-stamp)
	touch $@

build-ext-%-stamp:
	dh_testdir
	$* setup.py build
	touch $@

dbg-build-ext-%-stamp:
	dh_testdir
	$*-dbg setup.py build -g
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build*stamp dbg-build*stamp
	rm -rf build
	find . -name '*.pyc' | xargs rm -f
	dh_clean

install: build install-prereq $(PYVERS:%=install-ext-%) $(PYVERS:%=dbg-install-ext-%)

install-prereq:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

install-ext-%:
	$* setup.py install --root=debian/python-sqlite --install-layout=deb
	find debian/python-sqlite -name '*.pyc' | xargs rm -f

dbg-install-ext-%:
	$*-dbg setup.py install --root=debian/python-sqlite-dbg --install-layout=deb
	find debian/python-*-dbg ! -type d ! -name '*.so' | xargs rm -f
	find debian/python-*-dbg -depth -empty -exec rmdir {} \;

# Build architecture-independent files here.
binary-indep:

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -A -a doc/rest/manual.txt

	dh_installexamples -A -a examples/*
	chmod -x debian/python-sqlite/usr/share/doc/python-sqlite/examples/*

	dh_python2 -a
	dh_installchangelogs -a
	dh_strip -ppython-sqlite --dbg-package=python-sqlite-dbg
	rm -rf debian/python-sqlite-dbg/usr/share/doc/python-sqlite-dbg
	ln -s python-sqlite debian/python-sqlite-dbg/usr/share/doc/python-sqlite-dbg
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build build-arch build-indep
.PHONY: clean
.PHONY: install install-prereq
.PHONY: binary-indep binary-arch binary

=== debian/watch ===
version=3
http://googlecode.debian.net/p/pysqlite/pysqlite-(1\.0.*)\.tar\.gz

## python-sqlite 1.0.1-7maemo1

=== debian/changelog ===
python-sqlite (1.0.1-7maemo1) unstable; urgency=low

  * Package for maemo.
  * No debug package built for maemo.
  * No examples for maemo.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Fri, 27 Jun 2008 22:02:42 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

PYVERS = python2.5

build: build-stamp

build-stamp: $(PYVERS:%=build-ext-%-stamp)
	touch $@

build-ext-%-stamp:
	dh_testdir
	$* setup.py build -g
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build*stamp
	rm -rf build
	find . -name '*.pyc' | xargs rm -f
	dh_clean

install: build install-prereq $(PYVERS:%=install-ext-%)

install-prereq:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

install-ext-%:
	$* setup.py install --root=debian/python-sqlite
	find debian/python-sqlite -name '*.pyc' | xargs rm -f

# Build architecture-independent files here.
binary-indep:

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdocs -A -a doc/rest/manual.txt
	dh_installdocs -A -a 
#	dh_installexamples -A -a examples/*
#	chmod -x debian/python-sqlite/usr/share/doc/python-sqlite/examples/*

	dh_installchangelogs -a
	dh_strip -ppython-sqlite
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install install-prereq

## python-sqlite 1.0.1-7maemo2

=== debian/changelog ===
python-sqlite (1.0.1-7maemo2) unstable; urgency=low

  * Slight modification to control file

 -- Pascal Jermini <lorelei@garage.maemo.org>  Mon, 30 Jun 2008 22:42:35 +0200

=== debian/control ===
Source: python-sqlite
Section: python
Priority: optional
Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
Build-Depends: debhelper (>= 5.0.38), libsqlite0-dev (>= 2.5.6), python2.5-dev
XS-Python-Standards-Version: 0.4
XS-Python-Version: all
Standards-Version: 3.7.2

Package: python-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: python2.3-sqlite, python2.4-sqlite, python-pysqlite1.1, python2.3-pysqlite1.1, python2.4-pysqlite1.1, pysqlite
Replaces: python2.3-sqlite, python2.4-sqlite, pysqlite
Suggests: python-sqlite-dbg
XB-Python-Version: ${python:Versions}
Description: python interface to SQLite 2
 pysqlite is an interface to the SQLite database server for
 Python. It aims to be fully compliant with Python database
 API version 2.0 while also exploiting the unique features of
 SQLite.
 .
 pysqlite 1.0.x is built against SQLite 2. For an interface to SQLite
 3, see the package python-pysqlite1.1, python-pysqlite2 or
 python-apsw.
